Subject: Re: Perl script to set up bash environment.
From: [email-masked] (Beverly Brown)

13 Dec 1996 08:07:04 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <3.0.32.19961213102949.0094cb10.cygnus.gnu-win32@lenny>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: beverly@lenny
X-Mailer: Windows Eudora Pro Version 3.0 (32)
Original-To: [email-masked]
Original-Sender: [email-masked]

At 02:43 PM 12/9/96 +0000, you wrote:
>I have written a perl script for the win32 version of perl that 
>converts envinronment variables over to unix type variables for bash,	
>then resets the variables after leaving bash.  I should have posted 
>this a while ago, but [email-masked] got my butt moving 
>with his post.  I call it "shell.bat" and here is how it goes:
>

[long script snipped]

Just to let you know, Perl has a predefined associative array with all the
environment variables already in it. For example, you could use
$ENV{"COMSPEC"} to retrieve the value of your COMSPEC environment variable.

--
Beverly Brown					[email-masked]  
Datacube Inc.					http://www.datacube.com
300 Rosewood Drive				Phone:(508)777-4200 x3092
Danvers, MA 01923-4505			Fax:  (508)750-0938
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".